> ## Documentation Index
> Fetch the complete documentation index at: https://docs.freeplay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Models

> 
Retrieve a paginated list of custom models configured for the account.

`page_size` defaults to 30, maximum 100.



## OpenAPI

````yaml https://app.freeplay.ai/openapi.json get /api/v2/models
openapi: 3.1.0
info:
  title: Freeplay API
  version: 0.1.0
servers: []
security:
  - BearerAuth: []
paths:
  /api/v2/models:
    get:
      tags:
        - Models
      summary: List Models
      description: |-

        Retrieve a paginated list of custom models configured for the account.

        `page_size` defaults to 30, maximum 100.
      operationId: get_list_models
      parameters:
        - name: page
          in: query
          schema:
            default: 1
            title: Page
            type: integer
        - name: page_size
          in: query
          schema:
            default: 30
            title: Page Size
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    items:
                      $ref: '#/components/schemas/ModelReplicationInfo'
                    title: Data
                    type: array
                  pagination:
                    $ref: '#/components/schemas/PaginationInfo'
                required:
                  - data
                  - pagination
                title: ModelListResponse
                type: object
          description: >-
            ModelListResponse(data:
            list[server.api_routes.models_api_v2.ModelReplicationInfo],
            pagination: server.api_routes.api_v2_common.PaginationInfo)
components:
  schemas:
    ModelReplicationInfo:
      properties:
        id:
          format: uuid
          title: Id
          type: string
        name:
          title: Name
          type: string
        display_name:
          title: Display Name
          type:
            - string
            - 'null'
        provider_name:
          title: Provider Name
          type: string
        provider_info:
          title: Provider Info
          additionalProperties:
            type: string
          type:
            - object
            - 'null'
        supports_tool_use:
          title: Supports Tool Use
          type: boolean
        model_family:
          title: Model Family
          type: string
        model_version:
          title: Model Version
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
      required:
        - id
        - name
        - display_name
        - provider_name
        - provider_info
        - supports_tool_use
        - model_family
        - model_version
        - created_at
      title: ModelReplicationInfo
      type: object
    PaginationInfo:
      properties:
        page:
          title: Page
          type: integer
        page_size:
          title: Page Size
          type: integer
        has_next:
          title: Has Next
          type: boolean
      required:
        - page
        - page_size
        - has_next
      title: PaginationInfo
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````